#! /usr/bin/python3

import os
from scapy.all import *

pkts=[]

FEND=0xc0
FESC=0xdb
TFEND=0xdc
TFESC=0xdd

def escape_put(handle, b):
    if b == FEND:
        handle.write(b'%c' % FESC)
        handle.write(b'%c' % TFEND)

    elif b == FESC:
        handle.write(b'%c' % FESC)
        handle.write(b'%c' % TFESC)

    else:
        handle.write(b'%c' % b)

w = scapy.utils.PcapWriter('test.pcap', linktype=3)

for d in ('1', '2', '3', '4'):
    files = os.listdir(d)

    for f in files:
        bytes_ = open(d + '/' + f, 'rb').read()

        w.write(bytes_)

w.close()
